Skip to main content
GET
/
api
/
v1
/
topics
/
{topicId}
Get topic by ID
curl --request GET \
  --url https://api.example.com/api/v1/topics/{topicId}
{
  "admin_key": {
    "_type": "ProtobufEncoded",
    "key": "15706b229b3ba33d4a5a41ff54ce1cfe0a3d308672a33ff382f81583e02bd743"
  },
  "auto_renew_account": "0.0.2",
  "auto_renew_period": 7776000,
  "created_timestamp": "1586567700.453054000",
  "custom_fees": {
    "created_timestamp": "1586567700.453054000",
    "fixed_fees": [
      {
        "amount": 100,
        "collector_account_id": "0.0.2",
        "denominating_token_id": "0.0.2"
      }
    ]
  },
  "deleted": false,
  "fee_exempt_key_list": [
    {
      "_type": "ProtobufEncoded",
      "key": "15706b229b3ba33d4a5a41ff54ce1cfe0a3d308672a33ff382f81583e02bd743"
    }
  ],
  "fee_schedule_key": {
    "_type": "ProtobufEncoded",
    "key": "15706b229b3ba33d4a5a41ff54ce1cfe0a3d308672a33ff382f81583e02bd743"
  },
  "memo": "topic memo",
  "submit_key": {
    "_type": "ProtobufEncoded",
    "key": "15706b229b3ba33d4a5a41ff54ce1cfe0a3d308672a33ff382f81583e02bd743"
  },
  "timestamp": {
    "from": "1586567700.453054000",
    "to": "1586567700.453054000"
  },
  "topic_id": "0.0.2"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hedera.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

topicId
string | null
required

Topic id Network entity ID in the format of shard.realm.num

Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
Example:

"0.0.2"

Response

OK

admin_key
object
required

The public key which controls access to various network entities.

auto_renew_account
string | null
required

Network entity ID in the format of shard.realm.num

Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
Example:

"0.0.2"

auto_renew_period
integer<int64> | null
required

The amount of time to attempt to extend the topic's lifetime after expiration.

Example:

7776000

created_timestamp
string | null
required

A Unix timestamp in seconds.nanoseconds format

Pattern: ^\d{1,10}(\.\d{1,9})?$
Example:

"1586567700.453054000"

custom_fees
object
required

Custom fees assessed for each message submitted to the topic

deleted
boolean | null
required

Whether the topic is deleted or not.

Example:

false

fee_exempt_key_list
(object | null)[]
required

Keys permitted to submit messages to the topic without paying custom fees

The public key which controls access to various network entities.

fee_schedule_key
object
required

The public key which controls access to various network entities.

memo
string
required

The memo associated with the topic.

Example:

"topic memo"

submit_key
object
required

The public key which controls access to various network entities.

timestamp
object
required

A timestamp range an entity is valid for

topic_id
string | null
required

Network entity ID in the format of shard.realm.num

Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
Example:

"0.0.2"